# Generated by Django 4.0.3 on 2022-04-14 12:31

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0052_merge_20220404_1539"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcrossroadpage",
            name="cards_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=False
                                    ),
                                ),
                                (
                                    "card_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            # "district.DistrictAfterElectionPage",
                                                            "district.DistrictArticlePage",
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            # "district.DistrictElectionPage",
                                                            # "district.DistrictElectionPointPage",
                                                            "district.DistrictPeoplePage",
                                                            "district.DistrictPersonPage",
                                                            # "district.DistrictProgramPage",
                                                            # "district.DistrictTagsPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty odkazu",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Karty rozcestníku",
            ),
        ),
    ]
